import axios from "axios";
const service = axios.create({
  baseURL: import.meta.env.VITE_BASE_API, //接口统一域名
  timeout: 6000, //设置超时
});

// request拦截器
service.interceptors.request.use(
  (config) => {
    // config.data = JSON.stringify(config.data); //数据转化,也可以使用qs转换
    // config.headers = {
    //     'Content-Type': 'application/json' //配置请求头
    // }
    // config.headers = { 'Content-Type': 'application/x-www-form-urlencoded' } //配置请求头
    //如有需要：注意使用token的时候需要引入cookie方法或者用本地localStorage等方法，推荐js-cookie
    const token = sessionStorage.getItem("token"); //这里取token之前，你肯定需要先拿到token,存一下
    const user_head = sessionStorage.getItem("userhead"); //这里取token之前，你肯定需要先拿到token,存一下
    if (token && user_head) {
      // config.params = { 'admin_token': token } //如果要求携带在参数中
      config.headers["token"] = token; //如果要求携带在请求头中
      config.headers["user_head"] = user_head; //如果要求携带在请求头中
    }
    return config;
  },
  (error) => {
    Promise.reject(error);
  }
);
// 响应拦截器
service.interceptors.response.use(
  (response) => {
    const res = response.data;

    return response.data;
  },
  (error) => {
    /* Message({
                      message: '服务器调用错误',
                      type: 'error',
                      duration: 5 * 1000
                    }) */
    console.log(error);

    return Promise.reject(error);
  }
);
export default service;
